## net.sf.saxon.evpull
Class BracketedDocumentIterator

    java.lang.Object
      net.sf.saxon.evpull.BracketedDocumentIterator

All Implemented Interfaces:
  EventIterator, PullEvent

    public class BracketedDocumentIterator

extends Object
implements EventIterator

The class is an EventIterator that handles the events arising from a document node constructor: that is, the start/end event pair for the document node, bracketing a sequence of events for the content of the document.

This class does not normalize the content (for example by merging adjacent text nodes). That is the job of the `ComplexContentProcessor`.

Constructor Summary
`BracketedDocumentIterator(EventIterator content)` Constructor

Method Summary
`boolean` `isFlatSequence()` Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators
`PullEvent` `next()` Get the next event in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BracketedDocumentIterator

    public BracketedDocumentIterator(EventIterator content)

  Constructor

  Parameters:
    `content` - iterator that delivers the content of the document

Method Detail

### next

    public PullEvent next()
                   throws XPathException

  Get the next event in the sequence

  Specified by:
    `next` in interface `EventIterator`
  Returns:
    the next event, or null when the sequence is exhausted
  Throws:
    `XPathException` - if a dynamic evaluation error occurs

### isFlatSequence

    public boolean isFlatSequence()

  Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators

  Specified by:
    `isFlatSequence` in interface `EventIterator`
  Returns:
    true if the next() method is guaranteed never to return an EventIterator

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.